--- old/usr/src/uts/common/os/kmem.c	Tue Jan 15 10:27:36 2019
+++ new/usr/src/uts/common/os/kmem.c	Tue Jan 15 10:27:36 2019
@@ -1425,11 +1425,13 @@
 kmem_log_enter(kmem_log_header_t *lhp, void *data, size_t size)
 {
 	void *logspace;
-	kmem_cpu_log_header_t *clhp = &lhp->lh_cpu[CPU->cpu_seqid];
+	kmem_cpu_log_header_t *clhp;
 
 	if (lhp == NULL || kmem_logging == 0 || panicstr)
 		return (NULL);
 
+	clhp = &lhp->lh_cpu[CPU->cpu_seqid];
+
 	mutex_enter(&clhp->clh_lock);
 	clhp->clh_hits++;
 	if (size > clhp->clh_avail) {
